com.avaya.ccs.api

## Interface CustomerInteractionMediaItemI

-     public interface CustomerInteractionMediaItemI

  Represents a single Multimedia item from a Customer History reqest. Examples of a CustomerInteractionMediaItem include a single email or webchat.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBody()` The 'Body' value of this media item.
    `java.lang.String` | `getCreationTime()` Time this contact was created
    `java.lang.String` | `getFirstName()` The customer's first name
    `java.lang.String` | `getFrom()` The 'From' value of this media item..
    `java.lang.String` | `getLastName()` The customer's last name
    `java.lang.String` | `getSource()` A description of the origins of this contact.
    `java.lang.String` | `getSubject()` The 'Subject' value of this media item.
    `java.lang.String` | `getTo()` The 'To' value of this media item.
    `java.lang.String` | `getUserRole()` The customer's user role, e.g.

- - ### Method Detail

    - #### getFirstName

          java.lang.String getFirstName()

      The customer's first name
      Returns:
        the customer's first name

    - #### getLastName

          java.lang.String getLastName()

      The customer's last name
      Returns:
        the customer's last name

    - #### getUserRole

          java.lang.String getUserRole()

      The customer's user role, e.g. Agent or Customer. Pertains to a Web Chat media item.
      Returns:
        the customer's user role

    - #### getCreationTime

          java.lang.String getCreationTime()

      Time this contact was created
      Returns:
        the time this contact was created

    - #### getSource

          java.lang.String getSource()

      A description of the origins of this contact. e.g. 'EMail from Agent to Customer', 'Text Chat from Customer'
      Returns:
        a description of the origins of this media item

    - #### getFrom

          java.lang.String getFrom()

      The 'From' value of this media item.. Pertains to an email Media item
      Returns:
        the 'From' value for an email Media

    - #### getTo

          java.lang.String getTo()

      The 'To' value of this media item. Pertains to an email Media item
      Returns:
        the 'To' value for an email Media

    - #### getSubject

          java.lang.String getSubject()

      The 'Subject' value of this media item. Pertains to an email Media item
      Returns:
        the 'Subject' value for an email Media

    - #### getBody

          java.lang.String getBody()

      The 'Body' value of this media item. Pertains to an email Media item
      Returns:
        the 'Body' value for an email Media